package org.springblade.common.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 租户类型
 */
@AllArgsConstructor
@Getter
public enum PointChannelType {
	INTERNAL(1, "内部"),
	MALL(2, "商场"),
	AGENT(3, "代理"),
	EXTERNAL(4, "外部");

	@EnumValue
	private Integer value;
	@JsonValue
	private String dec;
}
